### Function

# GObject ValueArray new

deprecated: 2.32

#### Declaration [src]

    GValueArray*
    g_value_array_new (
      guint n_prealloced
    )

#### Description [src]

Allocate and initialize a new `GValueArray`, optionally preserve space for `n_prealloced` elements. New arrays always contain 0 elements, regardless of the value of `n_prealloced`.

Deprecated since: 2.32

Use `GArray` and `g_array_sized_new()` instead.

#### Parameters

`n_prealloced`

  Type: `guint`

  Number of values to preallocate space for.

#### Return value

Type: `GValueArray`

A newly allocated `GValueArray` with 0 values.

The caller of the function takes ownership of the data, and is responsible for freeing it.